DIR_OPEN(3)

FUNCTION
dir_open - Open a directory for reading (scanning).

SYNOPSIS
#include <karma_dir.h>

KDir dir_open

(CONST char *dirname)

DESCRIPTION
Open a directory for reading (scanning).

dirname
    The directory name.

RETURN VALUE
A KDir object on success, else NULL.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/